Subject: Re: [PATCH v2] bcm63xx_enet: fix internal phy IRQ assignment

From: Andrew Lunn <[email-masked]>
Date: Thu, 25 Feb 2021 14:53:46 +0100

On Wed, Feb 24, 2021 at 04:44:18PM +0100, Daniel González Cabanelas wrote:
> The current bcm63xx_enet driver doesn't asign the internal phy IRQ. As a
> result of this it works in polling mode.
> 
> Fix it using the phy_device structure to assign the platform IRQ.
> 
> Tested under a BCM6348 board. Kernel dmesg before the patch:
>    Broadcom BCM63XX (1) bcm63xx_enet-0:01: attached PHY driver [Broadcom
>               BCM63XX (1)] (mii_bus:phy_addr=bcm63xx_enet-0:01, irq=POLL)
> 
> After the patch:
>    Broadcom BCM63XX (1) bcm63xx_enet-0:01: attached PHY driver [Broadcom
>               BCM63XX (1)] (mii_bus:phy_addr=bcm63xx_enet-0:01, irq=17)
> 
> Pluging and uplugging the ethernet cable now generates interrupts and the
> PHY goes up and down as expected.
> 
> Signed-off-by: Daniel González Cabanelas <[email-masked]>
> ---
> changes in V2: 
>   - snippet moved after the mdiobus registration
>   - added missing brackets

Hi Daniel

It is a good idea to wait at least a day between posting versions. If
you post too frequently, people tend to review the old version, since
it is first in there mailbox.

   Andrew